Bug 1035 - assert fails in telnet when given a very long line.
Summary: assert fails in telnet when given a very long line.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: telnet   
(Show other bugs)
Version: 5.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-04 08:12 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-07 21:06:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 1999-02-04 08:12:48 UTC
When I ran

(echo "something"; cat some_file) | telnet some_host
some_port

I've got (after some time):

telnet: buffer overflow, losing data, sorry
telnet: ring.cc:132: int ringbuf::flush(): Assertion
`((size+head-tail)%size)==count' failed.
Abort (core dumped)

some_file has a line about 400Kb long.
The bug is 100% reproducable
I run RedHat 5.1 + all updates.

Comment 1 Jeff Johnson 1999-04-07 21:06:59 UTC
Fixed (by scrapping th C++ telnet client in favor of the OpenBSD
client) in telnet-0.10-25.


Note You need to log in before you can comment on or make changes to this bug.